Closed Bug 955386 Opened 8 years ago Closed 8 years ago

Reference to undefined property this._account.maxMessageLength

Categories

(Chat Core :: Twitter, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: aleth)

References

Details

(Whiteboard: [1.4-wanted])

Attachments

(1 file)

*** Original post on bio 1948 at 2013-04-24 17:54:00 UTC ***

ReferenceError: reference to undefined property this._account.maxMessageLength Source file:.../twitter.js Line: 167
Blocks: 954484
Whiteboard: [1.4-wanted]
Attached patch PatchSplinter Review
*** Original post on bio 1948 as attmnt 2408 at 2013-04-24 21:16:00 UTC ***

Drive-by thought: Do we *really* want to throw an error (NS_ERROR_ILLEGAL_VALUE) just because someone presses return on a message that is too long?
Attachment #8354175 - Flags: review?(clokep)
Comment on attachment 8354175 [details] [diff] [review]
Patch

*** Original change on bio 1948 attmnt 2408 at 2013-04-24 22:49:04 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354175 - Flags: review?(clokep) → review+
Assignee: nobody → aleth
Whiteboard: [1.4-wanted] → [1.4-wanted][checkin-needed]
*** Original post on bio 1948 at 2013-04-28 03:16:30 UTC ***

http://hg.instantbird.org/instantbird/rev/b624f485b830

Thanks!
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Whiteboard: [1.4-wanted][checkin-needed] → [1.4-wanted]
Target Milestone: --- → 1.4
*** Original post on bio 1948 at 2013-04-28 09:10:22 UTC ***

(In reply to comment #1)

> Drive-by thought: Do we *really* want to throw an error
> (NS_ERROR_ILLEGAL_VALUE) just because someone presses return on a message that
> is too long?

Is there an undesirable side effect?
*** Original post on bio 1948 at 2013-04-29 09:19:05 UTC ***

(In reply to comment #3)
> > Drive-by thought: Do we *really* want to throw an error
> > (NS_ERROR_ILLEGAL_VALUE) just because someone presses return on a message that
> > is too long?
> 
> Is there an undesirable side effect?

Only the noise in the error console ;)
You need to log in before you can comment on or make changes to this bug.